## com.puppycrawl.tools.checkstyle.api
Class CheckstyleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.puppycrawl.tools.checkstyle.api.CheckstyleException

All Implemented Interfaces:
  Serializable

    public class CheckstyleException

extends Exception

Represents an error condition within Checkstyle.

Version:
  1.0
Author:
  Oliver Burn
See Also:
  Serialized Form

Constructor Summary
`CheckstyleException(String aMessage)` Creates a new `CheckstyleException` instance.
`CheckstyleException(String aMessage, Throwable aCause)` Creates a new `CheckstyleException` instance that was caused by another exception.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CheckstyleException

    public CheckstyleException(String aMessage)

  Creates a new `CheckstyleException` instance.

  Parameters:
    `aMessage` - a `String` value

### CheckstyleException

    public CheckstyleException(String aMessage,
                               Throwable aCause)

  Creates a new `CheckstyleException` instance that was caused by another exception.

  Parameters:
    `aMessage` - a message that explains this exception
    `aCause` - the Exception that is wrapped by this exception

Copyright © 2001-2011. All Rights Reserved.